%define upstream_name    ExtUtils-CChecker
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Configure-time utilities for using C headers,
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Often Perl modules are written to wrap functionallity found in existing C
headers, libraries, or to use OS-specific features. It is useful in the
_Build.PL_ or _Makefile.PL_ file to check for the existance of these
requirements before attempting to actually build the module.

Objects in this class provide an extension around the ExtUtils::CBuilder
manpage to simplify the creation of a _.c_ file, compiling, linking and
running it, to test if a certain feature is present.

It may also be necessary to search for the correct library to link against,
or for the right include directories to find header files in. This class
also provides assistance here.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 367008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 254942
- update to 0.08

* Tue Apr 19 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 88519
- update to 0.07

* Wed Feb 16 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 52474
- update to 0.06

* Fri Jan 21 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 28530
- mageia rebuild
- imported package perl-ExtUtils-CChecker

